package com.uas.platform.b2b.manage.service;


import com.uas.platform.b2b.manage.model.AccessToken;

/**
 * token相关功能
 * @author yingp
 * @version 2017年8月2日14:51:43 wangyc 完善类的注释
 */
public interface AccessTokenService {

	/**
	 * 绑定任意对象
	 * 
	 * @param bindObject
	 * @return token
	 */
	public AccessToken createNew(Object bindObject);

	/**
	 * 绑定任意对象
	 * 
	 * @param bindObject
	 * @param expires_in
	 *            有效时间（秒）
	 * @return token
	 */
	public AccessToken createNew(Object bindObject, int expires_in);

	/**
	 * 获取token
	 * @param id
	 * @return token
	 */
	public AccessToken findOne(String id);

	/**
	 * 删除token
	 * @param id
	 */
	public void delete(String id);

}
